Brightness Applet/Brightness Keys Do Not Work In Gateway M-7315u Laptop

Bug #280518 reported by Jeremy LaCroix on 2008-10-09
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Nominated for Intrepid by Jeremy LaCroix
Nominated for Jaunty by Jeremy LaCroix

Bug Description

Binary package hint: gnome-power-manager

I have a Gateway M-7315u laptop, and everything works except for the brightness keys on the keyboard as well as the brightness applet. Trying to increase or decrease the volume with the function keys does nothing. Also, the Gnome brightness applet that you can add to the panel doesn't work as well.

Below is a hardware page about this laptop which *should* give you some helpful information:
http://www.gateway.com/product_spec.php?product_recid=529668190

Of course, if there are any questions please let me know so I can help you fix this.

arno_b (arno.b) wrote :

Please, which version of ubuntu do you use?
can you give the result of the following commands:
uname -a

apt-cache policy gnome-power-manager

Changed in gnome-power-manager:
importance: Undecided → Low
status: New → Incomplete

I am using 64-bit Intrepid. The results of the requested commands are
attached. Please let me know if you need anything else.

Arnaud Blouin wrote:
> Please, which version of ubuntu do you use?
> can you give the result of the following commands:
> uname -a
>
> apt-cache policy gnome-power-manager
>
>

arno_b (arno.b) on 2008-10-15
Changed in gnome-power-manager:
status: Incomplete → New

I've ran all updates, as of today I'm still having this problem.

arno_b (arno.b) wrote :

I think it is more a acpi problem than a problem of gnome:
Your problem is that your keyboard shortcuts do not work anymore, isn't it?

If yes, we need three things:

   1. What the key *should* do.
   2. What keycode (magic number) the key produces on your laptop.
   3. How to identify your laptop by the manufacturer and model.

You can see the following documentation to know how to do that:
https://wiki.ubuntu.com/LaptopTestingTeam/HotkeyResearch

I'm sorry, but that's not correct, this is not just a hotkey problem. The Gnome brightness app doesn't work either, as I've stated.

Regardless, I'll still provide the requested information. Using method 1, the key on my laptop to increase the brightness is reported as XF86Forward. The key to reduce the brightness reports as XF86Stop.

The identifier information for my laptop is:
Manufacturer: Gateway
System product name: M-7315U
System version: Rev 1

Still having this problem, all updates are installed. Is there anything else you guys need from me to get this fixed?

I also have this problem on a MacBook3,1 Santa Rosa. I have seen another guy with this problem in http://ubuntuforums.org/showthread.php?p=5954785 Aparently all we have Kubuntu Intrepid 64 bits completely updated.

I attach my xorg.conf configuration. Do you need some other specific information about my system?

I'm sorry. I mean K/Ubuntu Intrepid and maybe that poster in ubuntu forums doesn't run 64 bits. Also note that I hadn't this problem in Hardy,

I have the final release of Intrepid 64-bit with all updates and I still have this problem.

Karel Kozlik (karel.kozlik) wrote :

I have probably same problem. When pressing brightness keys the value in /proc/acpi/video/VGA/LCD/brightness changes, but nothing more happen. I use kubuntu intrepid 64bit. My laptop is FUJITSU SIEMENS, LIFEBOOK E8420 with nvidia GeForce 9300M GS video adapter.

I upgraded my laptop to Jaunty, and I'm having the same problem. There is no way of increasing or decreasing the brightness in Kubuntu or Ubuntu.

Also it won't let me nominate this for the Jaunty release, why?

malditonuke (1111000-gmail) wrote :

I just realized that I have this problem as well. When I press the brightness keys, the gadget pops up and adjusts up and down, but the actual brightness doesn't change.

My info:

Gateway P-6822 laptop (http://support.gateway.com/s/Mobile/2007/Godzilla/1014778R/1014778Rnv.shtml?rdr=v1424)

Running 32-bit Intrepid (updated)

2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

  Installed: 2.24.0-0ubuntu8.2
  Candidate: 2.24.0-0ubuntu8.2
  Version table:
 *** 2.24.0-0ubuntu8.2 0
        500 http://us.archive.ubuntu.com intrepid-updates/main Packages
        100 /var/lib/dpkg/status
     2.24.0-0ubuntu8 0
        500 http://us.archive.ubuntu.com intrepid/main Packages

Try going to kernel 2.6.27-9. It works that way for me. Not a nice workaround.

Isn't that one of the Intrepid kernels? None of them worked for me with
my brightness, no version since Hardy.

Marc-André Turcotte wrote:
> Try going to kernel 2.6.27-9. It works that way for me. Not a nice
> workaround.
>

Should I resubmit this bug for Jaunty? It's not letting me nominate it for Jaunty, which is what I'm using now.

Steve Langasek (vorlon) wrote :

please provide the output of the following commands:
lspci -vvnn
lshal

affects: gnome-power-manager (Ubuntu) → hal (Ubuntu)
Changed in hal (Ubuntu):
status: New → Incomplete
Karel Kozlik (karel.kozlik) wrote :

here is it.

Steve Langasek (vorlon) wrote :

Karel,

Your bug is bug #277589. I'm not marking this bug as a duplicate of that one, because Jeremy's report was about a completely different laptop.

I attached the two files. Please let me know if anything else is required. Although I would appreciate it if this is fixed in Jaunty, a work around or hack would suffice if it's too late.

Steve Langasek (vorlon) wrote :

From lspci:

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller
[8086:2a42] (rev 07)
 Subsystem: Gateway 2000 Device [107b:0390]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 2298
 Region 0: Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
 Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
 Region 4: I/O ports at 1800 [size=8]
 Capabilities: <access denied>

So this is not an nvidia chip (as expected), so the problem is unrelated to bug #277589.

And the lshal output shows a laptop_panel device is present and recognized, so it's also not bug #345531.

And you've said that the brightness applet also doesn't work (including in the Ubuntu liveCD), so it's not a hotkey issue.

I'll poke around in the lshal output a bit more, but it looks like this might be a kernel problem.

Steve Langasek (vorlon) wrote :

Jeremy,

Please check the contents of the following files:

$ cat /sys/devices/virtual/backlight/acpi_video0/brightness
$ cat /sys/devices/virtual/backlight/acpi_video0/max_brightness
$ cat /sys/devices/virtual/backlight/acpi_video0/actual_brightness

and as root, try to change the value of the 'brightness' file:

# echo 2 > /sys/devices/virtual/backlight/acpi_video0/brightness

Does this change the brightness of your display?

The contents of each of those files is "7". (If it makes any difference,
I had the laptop plugged in to AC power which makes the brightness go up
as high as it can during POST).

The command that started with "echo 2" did nothing because I prefixed it
with "sudo" and it still wouldn't let me edit it. I edited it with Kate
and nothing changed, not sure if I have to log out after I change that
file or not.

Steve Langasek wrote:
> Jeremy,
>
> Please check the contents of the following files:
>
> $ cat /sys/devices/virtual/backlight/acpi_video0/brightness
> $ cat /sys/devices/virtual/backlight/acpi_video0/max_brightness
> $ cat /sys/devices/virtual/backlight/acpi_video0/actual_brightness
>
> and as root, try to change the value of the 'brightness' file:
>
> # echo 2 > /sys/devices/virtual/backlight/acpi_video0/brightness
>
> Does this change the brightness of your display?
>

On Fri, Apr 10, 2009 at 08:55:02PM -0000, Jeremy LaCroix wrote:
> The contents of each of those files is "7". (If it makes any difference,
> I had the laptop plugged in to AC power which makes the brightness go up
> as high as it can during POST).

> The command that started with "echo 2" did nothing because I prefixed it
> with "sudo" and it still wouldn't let me edit it. I edited it with Kate
> and nothing changed, not sure if I have to log out after I change that
> file or not.

You'll need to edit the file by running:

  sudo -s
  echo 2 > /sys/devices/virtual/backlight/acpi_video0/brightness

(redirection happens in the parent shell, not as part of the sudo command,
so is not happening as root; editors are unlikely to work correctly on the
special files under /sys.)

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Thank you for the clarification. The brightness did not change. I don't
have to reboot or restart X for that change, do I?

Steve Langasek wrote:
> On Fri, Apr 10, 2009 at 08:55:02PM -0000, Jeremy LaCroix wrote:
>> The contents of each of those files is "7". (If it makes any difference,
>> I had the laptop plugged in to AC power which makes the brightness go up
>> as high as it can during POST).
>
>> The command that started with "echo 2" did nothing because I prefixed it
>> with "sudo" and it still wouldn't let me edit it. I edited it with Kate
>> and nothing changed, not sure if I have to log out after I change that
>> file or not.
>
> You'll need to edit the file by running:
>
> sudo -s
> echo 2 > /sys/devices/virtual/backlight/acpi_video0/brightness
>
> (redirection happens in the parent shell, not as part of the sudo command,
> so is not happening as root; editors are unlikely to work correctly on the
> special files under /sys.)
>

Steve Langasek (vorlon) wrote :

No, no need to reboot or anything. If this didn't work, then I think it's clearly a bug in the kernel driver; passing over to the kernel team.

affects: hal (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → Triaged

I add my lspci & lshal results. Thats may be useful.

On Fri, Apr 10, 2009 at 11:36:57PM -0000, Enrique Hernández Bello wrote:
> I add my lspci & lshal results. Thats may be useful.

Your hardware is unrelated to that of the bug submitter. Please open a new
bug report for your issue.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

This still isn't working even on the final release. :(

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers